Bug 285778 - View or edit files doesn't work
Summary: View or edit files doesn't work
Status: RESOLVED FIXED
Alias: None
Product: krusader
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.0
Platform: openSUSE RPMs Linux
: NOR normal with 5 votes (vote)
Target Milestone: ---
Assignee: Jan Lepper
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-04 20:34 UTC by dutchkind
Modified: 2012-10-17 11:44 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.0-beta2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dutchkind 2011-11-04 20:34:22 UTC
Version:           2.0.0 (using KDE 4.7.2) 
OS:                Linux

When I use F3 or F4 to view or edit text files only a grey window opens with no text visible

Reproducible: Always

Steps to Reproduce:
Select file to be viewed or edited and press F3 or F4

Actual Results:  
Grey window

Expected Results:  
Text file contents shown

OS: Linux (x86_64) release 3.1.0-1.1-desktop
Compiler: gcc
Comment 1 smartinds 2011-11-11 13:54:11 UTC
I have the same error.


My system:

KDE 4.7
OpenSUSE 12.1 RC2 (x86_64)
kernel: 3.1
Comment 2 dutchkind 2011-12-08 15:56:00 UTC
The openSUSE developers found the solution to this bug, a hidden dependency: kate. After installing kate everything works as expected.
Comment 3 Jan Lepper 2012-08-16 12:47:22 UTC
http://quickgit.kde.org/index.php?p=krusader.git&a=commit&h=31899e9a281a1da906deb830eafa67e07e0c2282:
fall back to lister if text part isn't available - partially fixes bug 285778
viewing now always works, editing only if a service implementing KParts/ReadWritePart is available.
Comment 4 Jan Lepper 2012-08-16 16:29:20 UTC
Git commit 102335022df2fe0afa6a85876d844d50d01c6754 by Jan Lepper.
Committed on 16/08/2012 at 18:26.
Pushed by janlepper into branch 'master'.
If no KParts/ReadWritePart is available, notify the user and sugest installing Kate.
Viewer not working has been fixed by
http://quickgit.kde.org/index.php?p=krusader.git&a=commit&h=31899e9a281a1da906deb830eafa67e07e0c2282

M  +1    -0    ChangeLog
M  +5    -0    krusader/KViewer/krviewer.cpp
M  +1    -0    krusader/KViewer/krviewer.h
M  +20   -1    krusader/KViewer/panelviewer.cpp
M  +3    -0    krusader/KViewer/panelviewer.h
M  +7    -0    krusader/krusader.cpp

http://commits.kde.org/krusader/102335022df2fe0afa6a85876d844d50d01c6754